Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class SecretKeyPacket

    java.lang.Object
      |
      +--org.bouncycastle.bcpg.Packet
            |
            +--org.bouncycastle.bcpg.ContainedPacket
                  |
                  +--org.bouncycastle.bcpg.SecretKeyPacket

All Implemented Interfaces:
  PacketTags, PublicKeyAlgorithmTags

Direct Known Subclasses:
  SecretSubkeyPacket

public class SecretKeyPacket
extends ContainedPacket
implements PublicKeyAlgorithmTags

basic packet for a PGP secret key

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.PublicKeyAlgorithmTags
`DIFFIE_HELLMAN, DSA, EC, ECDSA, ELGAMAL_ENCRYPT, ELGAMAL_GENERAL, RSA_ENCRYPT, RSA_GENERAL, RSA_SIGN`

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`SecretKeyPacket(PublicKeyPacket pubKeyPacket, int encAlgorithm, S2K s2k, byte[] iv, byte[] secKeyData)`

Method Summary
`void` | `encode(BCPGOutputStream out)`
`int` | `getEncAlgorithm()`
`byte[]` | `getEncodedContents()`
`byte[]` | `getIV()`
`PublicKeyPacket` | `getPublicKeyPacket()`
`S2K` | `getS2K()`
`byte[]` | `getSecretKeyData()`

Methods inherited from class org.bouncycastle.bcpg.ContainedPacket
`getEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecretKeyPacket

    public SecretKeyPacket(PublicKeyPacket pubKeyPacket,
                           int encAlgorithm,
                           S2K s2k,
                           byte[] iv,
                           byte[] secKeyData)

Parameters:
  `pubKeyPacket` -
  `encAlgorithm` -
  `s2k` -
  `iv` -
  `secKeyData` -

Method Detail

### getEncAlgorithm

    public int getEncAlgorithm()

### getIV

    public byte[] getIV()

### getS2K

    public S2K getS2K()

### getPublicKeyPacket

    public PublicKeyPacket getPublicKeyPacket()

### getSecretKeyData

    public byte[] getSecretKeyData()

### getEncodedContents

    public byte[] getEncodedContents()
                              throws java.io.IOException

    `java.io.IOException`

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Specified by:
    `encode` in class `ContainedPacket`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD